一键式LEMP堆栈上升级到PHP 7.1
作者: 分类:Linux 浏览(23) 2019-11-7

本指南说明了如何一键式LEMP堆栈上从PHP 5.6升级到7.1版。本教程仅在您的应用程序运行PHP 5.6时适用。PHP 7.1已于2016年12月1日发布。本指南中的步骤也适用于其他一键式应用程序,但请注意,可能还需要为这些应用程序进行其他配置。

先决条件

在继续之前,您需要以root或sudo用户身份登录到服务器。

步骤1:更新系统

您不需要更新服务器。但是,建议您为干净的环境进行更新。

yum -y update

步骤2:删除PHP

删除以前安装的PHP。

yum -y remove php5*

步骤3:安装PHP 7.1

安装以下软件包。

yum -y install php71u-cli.x86_64 php71u-common.x86_64 php71u-fpm.x86_64 php71u-gd.x86_64 php71u-mbstring.x86_64 php71u-mcrypt.x86_64 php71u-mysqlnd.x86_64 php71u-opcache.x86_64 php71u-pdo.x86_64 php71u-process.x86_64 php71u-xml.x86_64 php71u-xmlrpc.x86_64 php71*json

运行以下命令以确保已正确安装它们。

php -v

步骤4:配置PHP-FPM

让我们更改PHP-FPM设置以解决几个问题。

输入以下命令以将服务器设置为在服务器重新引导时自动运行。

chkconfig php-fpm on

打开/etc/php-fpm.d/www.conf以进行如下修改(在第23行附近):

user = php-fpm   →  user = nginx
group = php-fpm  →  group = nginx

步骤5:配置会话

更改会话文件的权限。

cd /var/lib/php/fpm
chown nginx:nginx ./ ./*
chmod 777 ./ ./*

最后,重新启动nginxphp-fpm

service php-fpm restart
service nginx restart

恭喜您安装了PHP 7.1!

本文固定链接: http://www.codejie.net/6107.html